The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Каталог документации / Раздел "Документация для Linux" / Оглавление документа

5.2. Требования к системе

Базовая система должна быть запущена на ядре как минимум версии 2.6.2, скомпилированном с GCC-3.0 или выше. Есть два повода для этих высоких требований. Вопервых, тест для Native POSIX Threading Library (NPTL) будет выпадать, если ядро базовой системы не будет скомпилировано с GCC-3.0 или более поздней версии. Вовторых, 2.6.2 или более поздняя версия ядра необходима для использования Udev. Udev создает устройства динамически, читая из файловой системы sysfs. Хотя поддержка для этой файловой системы только недавно была встроена в большинство драйверов ядра, мы должны быть уверены, что все критические устройства системы создаются правильно.

Для определения, где базовое ядро встречает требования, описанные выше, запустите следующую команду:

 
cat /proc/version 

В результате будет вывод, похожий на:

 
Linux version 2.6.2 (user@host) (gcc version 3.4.0) #1 
    Tue Apr 20 21:22:18 GMT 2004 

Если результат предыдущей команды покажет, что ядро основной системы не было откомпилировано с использованием компилятора GCC-3.0 (или позднее), оно будет нуждаться в перекомпиляции. Система потребует перезагрузки для использования нового ядра. Инструкции по компилированию ядра и конфигурации загрузчика (подразумевая, что в базовой системе используется GRUB) находятся в Главе 8.




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2021 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру